# Python 控制语句

> 原文： [https://thepythonguru.com/python-control-statements/](https://thepythonguru.com/python-control-statements/)

* * *

于 2020 年 1 月 7 日更新

* * *

程序根据某些条件执行语句是很常见的。 在本节中，我们将了解 Python 中的`if else`语句。

但是在我们需要了解关系运算符之前。 关系运算符使我们可以比较两个对象。

| 符号 | 描述 |
| --- | --- |
| `<=` | 小于或等于 |
| `<` | 小于 |
| `>` | 大于 |
| `>=` | 大于或等于 |
| `==` | 等于 |
| `!=` | 不等于 |

比较的结果将始终为布尔值，即`True`或`False`。 请记住，`True`和`False`是用于表示布尔值的 python 关键字。

让我们举一些例子：

```py
>>> 3 == 4
False
>>> 12 > 3
True
>>> 12 == 12
True
>>> 44 != 12
True

```

现在您可以处理`if`语句了。 `if`语句的语法如下所示：

```py
if boolean-expression:
   #statements
else:
   #statements

```

**注意**：

`if`块中的每个语句都必须使用相同数量的空格缩进，否则将导致语法错误。 这与 Java，C，C# 等使用花括号（`{}`）的语言完全不同。

现在来看一个例子

```py
i = 10

if i % 2 == 0:
   print("Number is even")
else:
   print("Number is odd")

```

在这里您可以看到，如果数字为偶数，则将打印`"Number is even"`。 否则打印`"Number is odd"`。

**注意**：

`else`子句是可选的，您可以根据需要仅使用`if`子句，如下所示：

```py
if today == "party":
    print("thumbs up!")

```

在此，如果`today`的值为`"party"`，则将打印`thumbs up!`，否则将不打印任何内容。

如果您的程序需要检查一长串条件，那么您需要使用`if-elif-else`语句。

```py
if boolean-expression:
   #statements
elif boolean-expression:
   #statements
elif boolean-expression:
   #statements
elif boolean-expression:
   #statements
else:
   #statements

```

您可以根据程序要求添加`elif`条件。

这是一个说明`if-elif-else`语句的示例。

```py
today = "monday"

if today == "monday":
   print("this is monday")
elif today == "tuesday":
   print("this is tuesday")
elif today == "wednesday":
   print("this is wednesday")
elif today == "thursday":
   print("this is thursday")
elif today == "friday":
   print("this is friday")
elif today == "saturday":
   print("this is saturday")
elif today == "sunday":
   print("this is sunday")
else:
   print("something else")

```

## 嵌套`if`语句

* * *

您可以将`if`语句嵌套在另一个`if`语句中，如下所示：

```py
today = "holiday"
bank_balance = 25000
if today == "holiday":
   if bank_balance > 20000:
      print("Go for shopping")
   else:
      print("Watch TV")
else:
   print("normal working day")

```

在下一篇文章中，我们将学习 [Python 函数](/python-functions/)。

* * *

* * *