# Python `sum()`函数

> 原文： [https://thepythonguru.com/python-builtin-functions/sum/](https://thepythonguru.com/python-builtin-functions/sum/)

* * *

于 2020 年 1 月 7 日更新

* * *

`sum()`函数采用一个可迭代的并返回其中的项目总数。

**语法**：

```py
sum(iterable, [start]) -> number

```

| 参数 | 描述 |
| --- | --- |
| `iterable`（必填） | 可迭代项，例如字符串，列表，字典等。 |
| `start`（可选） | 一个可选的数值添加到最终结果中。 默认为`0`。 |

`sum()`函数仅适用于数字值，尝试将其用于非数字类型将导致错误。

这是一个例子：

```py
>>> 
>>> sum([1, 2, 3, 4, 5]) # sum values in a list
15
>>> 
>>> sum((1, 2, 3, 4, 5)) # sum values in a tuple
15
>>> 
>>> sum({1, 2, 3, 4, 5}) # sum values in a set
15
>>> 
>>> sum({1: "one", 2: "two", 3: "three"}) # sum values in a 
6
>>>

```

试试看：

```py
print(sum([1, 2, 3, 4, 5])) # sum values in a list

print(sum((1, 2, 3, 4, 5))) # sum values in a tuple

print(sum({1, 2, 3, 4, 5})) # sum values in a set

print(sum({1: "one", 2: "two", 3: "three"})) # sum values in a 
```

在最后一个命令中，`sum()`将字典中的键添加进去，而忽略其值。

这是另一个示例，它指定要添加到最终结果中的`start`值。

```py
>>> 
>>> sum([10, 20, 30], 100)
160
>>>

```

试一试：

```py
print(sum([10, 20, 30], 100)) 
```

* * *

* * *